net.minecraft.client.gui

## Class GuiResourcePackList

- java.lang.Object
- - net.minecraft.client.gui.GuiSlot
  - - net.minecraft.client.gui.GuiListExtended
    - - net.minecraft.client.gui.GuiResourcePackList

- Direct Known Subclasses:
    GuiResourcePackAvailable, GuiResourcePackSelected

      public abstract class GuiResourcePackList
      extends GuiListExtended

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.client.gui.GuiListExtended

      `GuiListExtended.IGuiListEntry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List` | `field_148204_l`
    `protected Minecraft` | `field_148205_k`

    - ### Fields inherited from class net.minecraft.client.gui.GuiSlot

      `bottom, field_148163_i, headerPadding, height, left, mouseX, mouseY, right, slotHeight, top, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiResourcePackList(Minecraft p_i45055_1_, int p_i45055_2_, int p_i45055_3_, java.util.List p_i45055_4_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `drawListHeader(int p_148129_1_, int p_148129_2_, Tessellator p_148129_3_)`
    `java.util.List` | `func_148201_l()`
    `protected abstract java.lang.String` | `func_148202_k()`
    `ResourcePackListEntry` | `getListEntry(int p_148203_1_)`
    `int` | `getListWidth()`
    `protected int` | `getScrollBarX()`
    `protected int` | `getSize()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiListExtended

      `drawBackground, drawSlot, elementClicked, func_148179_a, func_148181_b, isSelected`

    - ### Methods inherited from class net.minecraft.client.gui.GuiSlot

      `actionPerformed, drawContainerBackground, drawScreen, drawSelectionBox, func_148122_a, func_148124_c, func_148125_i, func_148132_a, func_148135_f, func_148141_e, func_148142_b, func_148143_b, getAmountScrolled, getContentHeight, getSlotHeight, registerScrollButtons, scrollBy, setHasListHeader, setShowSelectionBox, setSlotXBoundsFromLeft`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_148205_k

          protected final Minecraft field_148205_k

    - #### field_148204_l

          protected final java.util.List field_148204_l

  - ### Constructor Detail

    - #### GuiResourcePackList

          public GuiResourcePackList(Minecraft p_i45055_1_,
                             int p_i45055_2_,
                             int p_i45055_3_,
                             java.util.List p_i45055_4_)

  - ### Method Detail

    - #### drawListHeader

          protected void drawListHeader(int p_148129_1_,
                            int p_148129_2_,
                            Tessellator p_148129_3_)

      Overrides:
        `drawListHeader` in class `GuiSlot`

    - #### func_148202_k

          protected abstract java.lang.String func_148202_k()

    - #### func_148201_l

          public java.util.List func_148201_l()

    - #### getSize

          protected int getSize()

      Specified by:
        `getSize` in class `GuiSlot`

    - #### getListEntry

          public ResourcePackListEntry getListEntry(int p_148203_1_)

      Specified by:
        `getListEntry` in class `GuiListExtended`

    - #### getListWidth

          public int getListWidth()

      Overrides:
        `getListWidth` in class `GuiSlot`

    - #### getScrollBarX

          protected int getScrollBarX()

      Overrides:
        `getScrollBarX` in class `GuiSlot`